Skip to main content
`Ctrl`+`K`

# PetscMemmove

Copies `n` bytes, beginning at location `b`, to the space beginning at location `a`. Copying between regions that overlap will take place correctly. Use `PetscMemcpy()` if the locations do not overlap

## Synopsis

    static inline PetscErrorCode PetscMemmove(void *a, const void *b, size_t n)

Not Collective, No Fortran Support

## Input Parameters

- b - pointer to initial memory space

- a - pointer to copy space

- n - length (in bytes) of space to copy

## Notes

`PetscArraymove()` is preferred

This routine is analogous to `memmove()`.

## See Also

`PetscMemcpy()`, `PetscMemcmp()`, `PetscArrayzero()`, `PetscMemzero()`, `PetscArraycmp()`, `PetscArraycpy()`, `PetscStrallocpy()`, `PetscArraymove()`

## Level

intermediate

## Location

include/petscstring.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages